# Generated by Django 3.2.4 on 2021-06-17 20:25

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0023_add_choose_permissions"),
        ("wagtailcore", "0062_comment_models_and_pagesubscription"),
        ("elections2021", "0029_auto_20210531_1612"),
    ]

    operations = [
        migrations.CreateModel(
            name="Elections2021MythsPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Nejčastější mýty",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="Elections2021MythPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                ("perex", models.TextField(verbose_name="perex")),
                (
                    "myth",
                    wagtail.fields.RichTextField(
                        blank=True, null=True, verbose_name="co se říká?"
                    ),
                ),
                (
                    "reality",
                    wagtail.fields.RichTextField(
                        blank=True,
                        null=True,
                        verbose_name="co ve skutečnosti prosazujeme",
                    ),
                ),
                (
                    "related_points",
                    wagtail.fields.StreamField(
                        [
                            (
                                "point",
                                wagtail.blocks.PageChooserBlock(
                                    label="programový bod",
                                    page_type=[
                                        "elections2021.Elections2021ProgramPointPage"
                                    ],
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="související programové body",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Mýtus",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
